Loading...
Searching...
No Matches
oval_probe_impl.h File Reference

OVAL probe interface private header. More...

`#include "oval_definitions_impl.h"`
`#include "oval_agent_api_impl.h"`
`#include "oval_parser_impl.h"`
`#include "public/oval_system_characteristics.h"`
`#include "../common/util.h"`
`#include "public/oval_probe.h"`
`#include "probes/_probe-api.h"`
`#include "public/oval_probe_session.h"`
Include dependency graph for oval_probe_impl.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | oval_subtypedsc_t

## Macros

#define | OVAL_PROBE_IMPL_H
#define | OVAL_PROBE_SCHEME "queue"
#define | OVAL_PROBE_MAXRETRY 0

## Functions

int | oval_probe_query_test (oval_probe_session_t *sess, struct oval_test *test)
probe_ncache_t * | OSCAP_GSYM (ncache)
void | oval_probe_tblinit (void)
const char * | oval_subtype_to_str (oval_subtype_t subtype)
int | oval_probe_hint_definition (oval_probe_session_t *sess, struct oval_definition *definition, int variable_instance_hint)
| Finds all the oval_syschars (collected objects) assigned with a given definition and sets the variable_instance_hint attribute thereof.

## Detailed Description

OVAL probe interface private header.

Author
  "Daniel Kopecek" dkope.nosp@m.cek@.nosp@m.redha.nosp@m.t.co.nosp@m.m